set more off

* working directory here
cd "/Users/zhaosongruan/Desktop/21045"


* Create csv data for mnl analysis used in R *

use data/data_kor, clear
gen frun_same = frun
gen frun_null = frun_same == 0 & frun_high == 0
replace frun_high = . if (frun_high == 1 & frun_same == 1)
replace frun_same = . if (frun_high == 1 & frun_same == 1)
replace frun_null = . if frun_same == . | frun_high == .

gen fwin_same = fwin
gen fwin_null = fwin_same == 0 & fwin_high == 0
replace fwin_null = . if fwin_same == . | fwin_high == .

gen treat = rv1 > 0 if rv1 != .

keep year rv1 treat frun_same frun_high frun_null fwin_same fwin_high fwin_null
quietly reg year rv1 treat frun_same frun_high frun_null fwin_same fwin_high fwin_null
gen s = e(sample)
keep if s == 1
drop s
rename rv1 rv
compress
export delimited using data_r_mc.csv, replace
