remove(list=ls())
library(rdrobust)
# working directory here
setwd("/Users/zhaosongruan/Desktop/21045")
source("rd.mnl_mod.R")

edata <- read.csv("data_r_mc.csv")

depvar <- c("frun_same", "frun_high", "frun_null")

DAT <- subset(edata, select = c("rv", depvar))

DAT <- DAT[order(DAT$rv),]
DAT <- DAT[complete.cases(DAT),]
J <- length(DAT[1,])-2
c <- 0

result<-rd.mnl_mod(DAT,c,matrix(0,J,1),diag(J),matrix(0,J,1),0.95)

a <- c("same", "higher")
result1.df <- data.frame(depvar = "run", office = a, 
                        ate = result$ATE, se = result$SE, 
                        bw = result$h_opt)

depvar <- c("fwin_same", "fwin_high", "fwin_null")
DAT <- subset(edata, select = c("rv", depvar))

DAT <- DAT[order(DAT$rv),]
DAT <- DAT[complete.cases(DAT),]
J <- length(DAT[1,])-2
c <- 0

result<-rd.mnl_mod(DAT,c,matrix(0,J,1),diag(J),matrix(0,J,1),0.95)

result2.df <- data.frame(depvar = "win", office = a, 
                         ate = result$ATE, se = result$SE, 
                         bw = result$h_opt)
result.df <- rbind(result1.df, result2.df)

write.csv(result.df, file = "mnl_result.csv")
